
QGIS Application - Bug report #17546

Couldn't load plugin 'processing' due to an error when calling its classFactory() method 

2017-11-25 10:35 AM - James Passmore

Status: Rejected

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: Linux Mint 18.1 Serena (4.4.0-101-generic) Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 25443

Description

Installed qgis and qgis-python from http://qgis.org/ubuntugis-nightly.

On loading QGIS first I get a Unable To Get Local Issuer Certificate error like: 

https://gis.stackexchange.com/questions/263019/qgis3-unable-to-get-local-issuer-certificate then I get the below error:

Couldn't load plugin 'processing' due to an error when calling its classFactory() method

AttributeError: module 'osgeo.gdal' has no attribute 'DCAP_RASTER' 

    Traceback (most recent call last):

      File "/usr/lib/python3/dist-packages/qgis/utils.py", line 336, in startPlugin

        plugins[packageName] = package.classFactory(iface)

      File "/usr/share/qgis/python/plugins/processing/__init__.py", line 37, in classFactory

        return ProcessingPlugin(iface)

      File "/usr/share/qgis/python/plugins/processing/ProcessingPlugin.py", line 176, in init

        Processing.initialize()

      File "/usr/share/qgis/python/plugins/processing/core/Processing.py", line 92, in initialize

        ProcessingConfig.initialize()

      File "/usr/share/qgis/python/plugins/processing/core/ProcessingConfig.py", line 175, in initialize

        extensions = processing.tools.dataobjects.getSupportedOutputRasterLayerExtensions()

      File "/usr/share/qgis/python/plugins/processing/tools/dataobjects.py", line 111, in getSupportedOutputRasterLayerExtensions

        for exts in list(GdalUtils.getSupportedRasters().values()):

      File "/usr/share/qgis/python/plugins/processing/algs/gdal/GdalUtils.py", line 149, in getSupportedRasters

        if gdal.DCAP_RASTER not in metadata \

    AttributeError: module 'osgeo.gdal' has no attribute 'DCAP_RASTER'

Python version: 3.5.2 (default, Sep 14 2017, 22:51:06) [GCC 5.4.0 20160609] 

    QGIS version: 2.99.0-Master Master, cd0ba91

Python Path:

    /usr/share/qgis/python/plugins/processing

    /usr/share/qgis/python

    /home/hodor/.local/share/QGIS/QGIS3/profiles/default/python

    /home/hodor/.local/share/QGIS/QGIS3/profiles/default/python/plugins

    /usr/share/qgis/python/plugins

    /usr/local/lib/python3.5/dist-packages/setuptools-18.1-py3.5.egg

    /usr/local/lib/python3.5/dist-packages/pip-7.1.0-py3.5.egg

    /usr/lib/python35.zip

    /usr/lib/python3.5

    /usr/lib/python3.5/plat-x86_64-linux-gnu

    /usr/lib/python3.5/lib-dynload

    /usr/local/lib/python3.5/dist-packages

    /usr/lib/python3/dist-packages

    /home/hodor/.local/share/QGIS/QGIS3/profiles/default/python
History

#1 - 2017-11-25 04:27 PM - Giovanni Manghi

- Status changed from Open to Feedback

Here same platform, platform version, QGIS repository (in addition to the ubuntugis one) and cannot see this problems.

Have you added also the ubuntugis repo?

#2 - 2017-11-25 08:55 PM - James Passmore

Giovanni Manghi wrote:

Here same platform, platform version, QGIS repository (in addition to the ubuntugis one) and cannot see this problems.

Have you added also the ubuntugis repo?

I only have the http://qgis.org/ubuntugis-nightly repo

#3 - 2017-11-25 08:57 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Rejected

James Passmore wrote:

Giovanni Manghi wrote:

Here same platform, platform version, QGIS repository (in addition to the ubuntugis one) and cannot see this problems.

Have you added also the ubuntugis repo?

I only have the http://qgis.org/ubuntugis-nightly repo

you must add also the ubuntugis-unstable one (a PPA repo).

#4 - 2017-11-25 08:58 PM - James Passmore

James Passmore wrote:

On loading QGIS first I get a Unable To Get Local Issuer Certificate error like: 

https://gis.stackexchange.com/questions/263019/qgis3-unable-to-get-local-issuer-certificate then I get the below error:

Could this be similar to #13471

#5 - 2017-11-25 09:00 PM - Giovanni Manghi

James Passmore wrote:
James Passmore wrote:

On loading QGIS first I get a Unable To Get Local Issuer Certificate error like: 

https://gis.stackexchange.com/questions/263019/qgis3-unable-to-get-local-issuer-certificate then I get the below error:

Could this be similar to #13471

don't worry about the certificate error on the development version of qgis, press "ignore".
